using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using MS.Entities.Core;
using MS.Entities;
using System;
using System.Collections.Generic;
using System.Text;
using MS.Entities.SQLite;

namespace MS.DbContexts.SQLite
{
    public class BuidMembershipGroupMap : IEntityTypeConfiguration<BuidMembershipGroup>
    {

        public void Configure(EntityTypeBuilder<BuidMembershipGroup> entity)
        {
            entity.ToTable("buid_membershipGroup");

            entity.Property(e => e.Id)
                .HasColumnName("id")
                .ValueGeneratedNever();

            entity.Property(e => e.CurrentBuId)
                .HasColumnName("currentBuId")
                .HasColumnType("varchar(100)");

            entity.Property(e => e.MembershipGroupId)
                .HasColumnName("membership_group_id")
                .HasColumnType("varchar(50)");
        }
    }
}
